Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mpisws.p2p.transport.peerreview.commitment
Class Authenticator

    java.lang.Object
      org.mpisws.p2p.transport.peerreview.commitment.Authenticator

All Implemented Interfaces:
  java.lang.Comparable<Authenticator>

    public class Authenticator

extends java.lang.Object
implements java.lang.Comparable<Authenticator>

Constructor Summary
`Authenticator(InputBuffer buf, int hashSize, int signatureSize)`
`Authenticator(long seq, byte[] hash, byte[] signature)`

Method Summary
`int` | `compareTo(Authenticator that)`
`boolean` | `equals(java.lang.Object o)`
`byte[]` | `getHash()`
`java.nio.ByteBuffer` | `getPartToHashThenSign()`
`long` | `getSeq()`
`byte[]` | `getSignature()`
`int` | `hashCode()`
`void` | `serialize(OutputBuffer buf)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Authenticator

    public Authenticator(long seq,
                         byte[] hash,
                         byte[] signature)

### Authenticator

    public Authenticator(InputBuffer buf,
                         int hashSize,
                         int signatureSize)
                  throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### getPartToHashThenSign

    public java.nio.ByteBuffer getPartToHashThenSign()

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### compareTo

    public int compareTo(Authenticator that)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<Authenticator>`

### getSeq

    public long getSeq()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getHash

    public byte[] getHash()

### getSignature

    public byte[] getSignature()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.